declare const datetime: {
    DateTime: {
        new (inputDate?: any, format?: any): {
            moment: any;
            namedFormats: any;
            _date: any;
            getMiliseconds(): any;
            today(): any;
            startOf(input: any): any;
            endOf(input: any): any;
            diffInDays(otherDate: any): any;
            diffInMonths(otherDate: any): any;
            diffInWeeks(otherDate: any): any;
            diffInYears(otherDate: any): any;
            diffInHours(otherDate: any): any;
            diffInSeconds(otherDate: any): any;
            diffInMinutes(otherDate: any): any;
            subtractDays(input: any): any;
            subtractMinutes(input: any): any;
            subtractMonths(input: any): any;
            addDays(input: any): any;
            addMinutes(input: any): any;
            addMonths(input: any): any;
            date(): any;
            year(): any;
            month(): any;
            startOfDay(): any;
            endOfDay(): any;
            toISO(): any;
            isoWeekday(): any;
            getTimeZoneStr(): any;
            toStringDefault(): any;
            toString(format?: any): any;
        };
    };
    new: (date?: any, format?: any) => {
        moment: any;
        namedFormats: any;
        _date: any;
        getMiliseconds(): any;
        today(): any;
        startOf(input: any): any;
        endOf(input: any): any;
        diffInDays(otherDate: any): any;
        diffInMonths(otherDate: any): any;
        diffInWeeks(otherDate: any): any;
        diffInYears(otherDate: any): any;
        diffInHours(otherDate: any): any;
        diffInSeconds(otherDate: any): any;
        diffInMinutes(otherDate: any): any;
        subtractDays(input: any): any;
        subtractMinutes(input: any): any;
        subtractMonths(input: any): any;
        addDays(input: any): any;
        addMinutes(input: any): any;
        addMonths(input: any): any;
        date(): any;
        year(): any;
        month(): any;
        startOfDay(): any;
        endOfDay(): any;
        toISO(): any;
        isoWeekday(): any;
        getTimeZoneStr(): any;
        toStringDefault(): any;
        toString(format?: any): any;
    };
    today: () => {
        moment: any;
        namedFormats: any;
        _date: any;
        getMiliseconds(): any;
        today(): any;
        startOf(input: any): any;
        endOf(input: any): any;
        diffInDays(otherDate: any): any;
        diffInMonths(otherDate: any): any;
        diffInWeeks(otherDate: any): any;
        diffInYears(otherDate: any): any;
        diffInHours(otherDate: any): any;
        diffInSeconds(otherDate: any): any;
        diffInMinutes(otherDate: any): any;
        subtractDays(input: any): any;
        subtractMinutes(input: any): any;
        subtractMonths(input: any): any;
        addDays(input: any): any;
        addMinutes(input: any): any;
        addMonths(input: any): any;
        date(): any;
        year(): any;
        month(): any;
        startOfDay(): any;
        endOfDay(): any;
        toISO(): any;
        isoWeekday(): any;
        getTimeZoneStr(): any;
        toStringDefault(): any;
        toString(format?: any): any;
    };
    now: () => {
        moment: any;
        namedFormats: any;
        _date: any;
        getMiliseconds(): any;
        today(): any;
        startOf(input: any): any;
        endOf(input: any): any;
        diffInDays(otherDate: any): any;
        diffInMonths(otherDate: any): any;
        diffInWeeks(otherDate: any): any;
        diffInYears(otherDate: any): any;
        diffInHours(otherDate: any): any;
        diffInSeconds(otherDate: any): any;
        diffInMinutes(otherDate: any): any;
        subtractDays(input: any): any;
        subtractMinutes(input: any): any;
        subtractMonths(input: any): any;
        addDays(input: any): any;
        addMinutes(input: any): any;
        addMonths(input: any): any;
        date(): any;
        year(): any;
        month(): any;
        startOfDay(): any;
        endOfDay(): any;
        toISO(): any;
        isoWeekday(): any;
        getTimeZoneStr(): any;
        toStringDefault(): any;
        toString(format?: any): any;
    };
    setDefaultTimeZone: (tz: any) => void;
};
declare const DateTime: {
    new (inputDate?: any, format?: any): {
        moment: any;
        namedFormats: any;
        _date: any;
        getMiliseconds(): any;
        today(): any;
        startOf(input: any): any;
        endOf(input: any): any;
        diffInDays(otherDate: any): any;
        diffInMonths(otherDate: any): any;
        diffInWeeks(otherDate: any): any;
        diffInYears(otherDate: any): any;
        diffInHours(otherDate: any): any;
        diffInSeconds(otherDate: any): any;
        diffInMinutes(otherDate: any): any;
        subtractDays(input: any): any;
        subtractMinutes(input: any): any;
        subtractMonths(input: any): any;
        addDays(input: any): any;
        addMinutes(input: any): any;
        addMonths(input: any): any;
        date(): any;
        year(): any;
        month(): any;
        startOfDay(): any;
        endOfDay(): any;
        toISO(): any;
        isoWeekday(): any;
        getTimeZoneStr(): any;
        toStringDefault(): any;
        toString(format?: any): any;
    };
};
export { datetime, DateTime };
